> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update KYB form token



## OpenAPI

````yaml /openapi/kyb.yaml put /kyb/tokens/{tokenString}/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/tokens/{tokenString}/:
    put:
      tags:
        - KYB Token
      summary: Update KYB form token
      operationId: kybTokensUpdate
      parameters:
        - in: path
          name: tokenString
          schema:
            type: string
            description: Token string used for authentication.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KybTokenUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KybTokenUpdate'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    KybTokenUpdateRequest:
      type: object
      properties:
        scanRefs:
          type: array
          items:
            type: string
            minLength: 1
            pattern: ^[^,]+$
            maxLength: 40
          nullable: true
        tags:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 32
            pattern: ^[^,]+$
          default: []
          description: >-
            List of case-sensitive strings. Each tag can not be longer than 32
            characters.
          maxItems: 5
    KybTokenUpdate:
      type: object
      properties:
        scanRefs:
          type: array
          items:
            type: string
            pattern: ^[^,]+$
            maxLength: 40
          nullable: true
        tags:
          type: array
          items:
            type: string
            maxLength: 32
            pattern: ^[^,]+$
          default: []
          description: >-
            List of case-sensitive strings. Each tag can not be longer than 32
            characters.
          maxItems: 5
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````